void acetoneiso::get_poweriso()
{
QMessageBox msgBox;
msgBox.setText(tr("Do you want to download Poweriso?\nIf you click yes you accept PowerISO's Freeware Licence.\nRemember: if you are running a 64-bit OS, you need libc6-i386 package and maybe others installed."));
 msgBox.setStandardButtons(QMessageBox::Yes | QMessageBox::No);
 switch (msgBox.exec()) {
 case QMessageBox::Yes:
    {
	QDir acetone_bin = QDir::home();
	acetone_bin.cd(".acetoneiso");
	QDir::setCurrent( acetone_bin.path() );
	WGet.start("wget", QStringList() << "http://www.poweriso.com/poweriso-1.2.tar.gz" );
	connect(&WGet, SIGNAL(finished(int, QProcess::ExitStatus)), this, SLOT( extract_poweriso() ));
	progBarra();
     }
     break;
 case QMessageBox::No:
     QMessageBox::warning(this, "AcetoneISO2",tr("Without Poweriso some functions will be unavailable!"));
     break;
 default:
     // should never be reached
     break;
 }
}


void acetoneiso::extract_poweriso()
{
QDir acetone_bin = QDir::home();
acetone_bin.cd(".acetoneiso");
QDir::setCurrent( acetone_bin.path() );
TAr.start("tar", QStringList() << "-xf" << "poweriso-1.2.tar.gz");
}


void acetoneiso::messaggio_poweriso()
{
QDir acetone_bin = QDir::home();
acetone_bin.cd(".acetoneiso");
QDir::setCurrent( acetone_bin.path() );
QFile poweriso_tar("poweriso-1.2.tar.gz");
poweriso_tar.remove();
QMessageBox::information(this, "AcetoneISO2",tr("Poweriso downloaded and extracted!"));
} 
