 
void acetoneiso::converter()
{
QDir acetone_bin = QDir::home();
acetone_bin.cd(".acetoneiso");
QFile poweriso_file( acetone_bin.path() + "/poweriso");
	#if defined(__i386__) || defined(__x86_64__)
	if(!poweriso_file.exists())
		get_poweriso();
	else{
		//estrazione qui
		QDir Home = QDir::home();
		QString isodaconvertire;
		isodaconvertire = QFileDialog::getOpenFileName(this,tr("Open Image"), Home.path() ,  tr("Image Files (*.daa *.bin *.mdf *.ashdisc *.bwi *.b5i *.lcd *.img *.cdi *.cif *.p01 *.pdi *.nrg *.ncd *.pxi *.gi *.fcd *.vcd *.c2d)"));
		if ( !isodaconvertire.isNull() ){

			QString fileName = QFileDialog::getSaveFileName(this, tr("AcetoneISO2::Save ISO file"),
									Home.path() ,
									tr("Images (*.iso)"));
			if (!fileName.isNull() )
			{
				fileName = fileName.append(".iso");
				POweriso.start( poweriso_file.fileName(), QStringList() << "convert" << isodaconvertire << "-o" << fileName );
				progBarra();
			}	
		}
	}
	#else
	// Not a poweriso capable architecture
	QMessageBox::information(this, "AcetoneISO2",tr("Poweriso is not available for this architecture."));	
	#endif
}
